Bug 69914 - xfree86 fails to restart after start the xfree86 once
xfree86 fails to restart after start the xfree86 once
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-07-26 04:28 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-26 04:28:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.0) Gecko/20020530

Description of problem:
I am using i810. After upgrade the kernel to 2.4.18-5, the xfree86 always fails
to restart.

For example, once Linux was start and GDM screen was shown, I can login and work
in XWin environment with any problem. But once I quite the XWin session, the
xfree86 fails to restart again(so, no gdm was shown up) and prompt me that fail
to start the xfree86. Seems that there's problem with the kernel module agpgart.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Use GDM to logon
2.Quit the XWin session


Actual Results:  Seems that it will try to startup the xfree86 several times(as
the need for the GDM prompt), and then a prompt about fail to start xfree86 will
be shown

Expected Results:  GDM should be shown up

Additional info:

- I am using i810 for my display
- Using the version of xfree86 come with Red Hat 7.3
- Error only occur with kernel 2.4.18-5
Comment 1 Arjan van de Ven 2002-07-26 04:30:11 EDT
could you try the newer kernel at
it has 2 i810 fixes
Comment 2 Bugzilla owner 2004-09-30 11:39:47 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.